Subject: Delta
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 24 Apr 2001 00:10:00 -0700 (PDT)

Hi Carolyn,

Any progress with the escrow agreement and any other outstanding items?  
Kathleen Carnahan has the original certificate of incumbancy ready to go.

I would like to get organized for signing docs today, GE, Enron and Delta.  
Could you email me the execution forms of the docs which need to be signed by 
GE and Enron (except the turbine contract)?  Hard copies are fine, I just 
figure electronic will be easier.

I had conversations with GE re turbine contract, and I expect it will be 
finished up this am.

Thanks,

Kay